import { Channel, eventChannel, SagaIterator } from 'redux-saga';
import { call, Effect, fork, put, takeEvery } from 'redux-saga/effects';

function connect(): Promise<WebSocket> {
  return new Promise<WebSocket>(resolve => {
    const socket = new WebSocket('ws://localhost:3000');

    socket.onopen = ((evt: Event): void => {
      resolve(socket);
    });

    socket.onclose = ((evt: Event): void => {
      console.log('');
    });

    socket.onmessage = ((evt: MessageEvent): void => {
      console.log('');
    });

    socket.onerror = ((evt: MessageEvent): void => {
      console.log('');
    });
  });
}

function subscribe(socket: WebSocket): Channel<string> {
  return eventChannel<string>(emitter => {
    socket.onmessage = ((evt: MessageEvent): void => {
      emitter(evt.data);
    });

    return function unsubscribe(): void {
      console.log('');
    };
  });
}

function* read(socket: WebSocket): SagaIterator {
  // const channel = yield call(subscribe, socket);
  // let action = yield takeEvery(channel, (action: A) => any);
  // while (true) {
  //   let action = yield take(channel);
  //   yield put(action);
  // }
}

function* write(socket: WebSocket): SagaIterator {
  // while (true) {
  //   const { payload } = yield take(`${sendMessage}`);
  //   socket.emit('message', payload);
  // }
}

function* flow(): SagaIterator {
  const socket = yield call(connect);
}
