import * as React from 'react';
import { RouteComponentProps } from 'react-router';
import NoauthProbeListContainer from '@overflow/noauthprobe/react/NoauthProbeList';
import WebSocketRPC from '@overflow/commons/websocket/WebSocketRPC';
import AppContext from '@overflow/commons/context';
import inject from '@overflow/commons/context/decorator/inject';

class ProbeList extends React.Component<RouteComponentProps<object>, object> {
  @inject()
  private client: WebSocketRPC;

  public constructor(props?: RouteComponentProps<object>, context?: object) {
    super(props, context);

    let con = AppContext.get<WebSocketRPC>();
  }

  public render(): JSX.Element {
    return (
        <NoauthProbeListContainer/>
    );
  }
}


export default ProbeList;
