import Action from '@overflow/commons/redux/Action';

// Action Type
export type INITIALIZED = '@overflow/commons/context/INITIALIZED';
export type WILL_DESTROY = '@overflow/commons/context/WILL_DESTROY';

export const INITIALIZED: INITIALIZED = '@overflow/commons/context/INITIALIZED';
export const WILL_DESTROY: WILL_DESTROY = '@overflow/commons/context/WILL_DESTROY';

// Action Creater
export type initialized = () => Action;
export type willDestroy = () => Action;

export const initialized: initialized = (): Action => {
  return {
      type: INITIALIZED,
    };
};

export const willDestroy: willDestroy = (): Action => {
  return {
      type: WILL_DESTROY,
    };
};
