import { ProtocolHeader } from './ProtocolHeader';
import { ProtocolError } from './ProtocolError';

export class ProtocolResponse<ID> extends ProtocolHeader<ID> {
  private error: ProtocolError;

  public constructor(protocol: string, id: ID) {
    super(protocol, id);
  }

  /**
   * setError
   */
  public setError(error: ProtocolError): void {
    this.error = error;
  }
  /**
   * getError
   */
  public getError(): ProtocolError {
    return this.error;
  }
}
