import { connect, Dispatch } from 'react-redux';
import {
    NoauthProbeList,
    StateProps as ProbeListStateProps,
    DispatchProps as ProbeListDispatchProps,
} from './components/NoauthProbeList';
import Domain from '@overflow/domain/api/model/Domain';

import * as probeListActions from '../redux/action/read_all_by_domain';


export function mapStateToProps(state: any): ProbeListStateProps {
    return {

    };
}

export function mapDispatchToProps(dispatch: Dispatch<any>): ProbeListDispatchProps {
    return {
        onReadAllByDomain: (domain: Domain) => {
            dispatch(probeListActions.request(domain));
        },
    };
}

export default connect(mapStateToProps, mapDispatchToProps)(NoauthProbeList);
