import Target from '@overflow/target/api/model/Target';
import MetaSensorStatus from '@overflow/meta/api/model/MetaSensorStatus';
import MetaCrawler from '@overflow/meta/api/model/MetaCrawler';

interface Sensor {
  id?: number;
  createDate?: Date;
  description: string;
  status: MetaSensorStatus;
  target: Target;
  crawler: MetaCrawler;
  crawlerInputItems: string;
}

export default Sensor;
