// Container Configuration
export interface ContainerConfig {
  placeholderID: string;
}
const containerConfig: ContainerConfig = {
  placeholderID: 'appContainer',
};

// RPC Server Configuration
export interface RPCConfig {
  url: string;
}
const rpcConfig: RPCConfig = {
  url: 'ws://127.0.0.1:18081/rpc',
};


// Configuration
export interface Config {
  container: ContainerConfig;
  rpc: RPCConfig;
}

const config: Config = {
  container: containerConfig,
  rpc: rpcConfig,
};

export default config;
