import * as React from 'react';
import { Container, Menu, Dropdown, Segment, Icon } from 'semantic-ui-react';

import { LogoBar } from './LogoBar';
import { TitleBar } from './TitleBar';

export class LeftMenu extends React.Component<any, any> {

  constructor(props: any, context: any) {
    super(props, context);
    this.state = {
    };

    window.addEventListener('resize', () => {
      console.log(window);
    });
  }



  public render(): JSX.Element {
    return (
      <Container fluid className='fullHeight'>
        <Segment inverted vertical className='fullHeight'>
          <Menu inverted secondary vertical fluid icon='labeled' >

            <Menu.Item name='User' href='/' >
              <Icon name='user' />
            </Menu.Item>
            <Menu.Item name='Home' href='/' >
              <Icon name='home' />
              Home
            </Menu.Item>
            <Menu.Item name='Monitoring' href='/' >
              <Icon name='bar graph' />
              Monitoring
              {/*
              <Dropdown text='Monitoring' pointing>
                <Dropdown.Menu>
                  <Dropdown.Header>Monitoring</Dropdown.Header>
                  <Dropdown.Item>Probe</Dropdown.Item>
                  <Dropdown.Item>Sensors</Dropdown.Item>
                </Dropdown.Menu>
              </Dropdown>
              */}
            </Menu.Item>

            <Menu.Item name='Infrastructure' href='/' >
              <Icon name='sitemap' />
              Infrastructure
              {/*
              <Dropdown text='Infrastructure' >
                <Dropdown.Menu>
                  <Dropdown.Header>Infrastructure</Dropdown.Header>
                  <Dropdown.Item>Maps</Dropdown.Item>
                  <Dropdown.Item>Targets</Dropdown.Item>
                </Dropdown.Menu>
              </Dropdown>
              */}
            </Menu.Item>

            <Menu.Item name='Dashboard' href='/' >
              <Icon name='industry' />
              Dashboard
            </Menu.Item>

            <Menu.Item name='Metrics' href='/' >
              <Icon name='tasks' />
              Metrics
            </Menu.Item>

            <Menu.Item name='Alerts' href='/' >
              <Icon name='alarm' />
              Alerts
            </Menu.Item>

            <Menu.Item name='History' href='/' >
              <Icon name='book' />
              History
            </Menu.Item>


            <Menu.Item href='/'>
              <Icon name='play circle' />
              <Dropdown text='Custom'>
                <Dropdown.Menu>
                  <Dropdown.Header>Custom</Dropdown.Header>
                  <Dropdown.Item href='#/test2'> SignUp </Dropdown.Item>
                  <Dropdown.Item href='#/test3'>SignIn</Dropdown.Item>
                  <Dropdown.Item href='#/test4'> PWChange </Dropdown.Item>
                  <Dropdown.Item href='#/test5'>ProbeDown</Dropdown.Item>
                  <Dropdown.Item href='#/test14'> Insanity </Dropdown.Item>
                  <Dropdown.Item href='#/test6'>DiscoveryDetails</Dropdown.Item>
                  <Dropdown.Item href='#/test7'>Tree</Dropdown.Item>
                  <Dropdown.Item href='#/test8'>TableExampleSortable</Dropdown.Item>
                </Dropdown.Menu>
              </Dropdown>
            </Menu.Item>
            <Menu.Item name='Settings' href='/' >
              <Icon name='setting' />
              Settings
            </Menu.Item>

          </Menu>
        </Segment>
      </Container>
      // <TopBar onSidebar={this.props.onSidebar}/>
    );
  }
}



