

const url = "http://192.168.1.209:8080/v1/overflow/services";

export class OFRest {

    obj: any;


    constructor(serviceName: string, methodName: string, data: any) {

        this.obj = {
            "serviceName": serviceName,
            "methodName": methodName,
            "param": {
                "model": JSON.stringify(data)
            }

        };
    }

    public Call() {

        return fetch(url, {
            method: 'POST',
            headers: {
                'Accept': 'application/json',
            },
            body: JSON.stringify(this.obj)
        });
    }

    public CallWithCB(callback: Function) {
        fetch(url, {
            method: 'POST',
            headers: {
                'Accept': 'application/json',
            },
            body: JSON.stringify(this.obj)
        }).then(function (res) {
            return res.json();
        }).then(function (json) {
            if (json.error != undefined) {
                console.log(json.error);
                return;
            }
            callback(json);
        }).catch(function (err) {
            console.log(err);
        });
    }

}

