export class ProtocolHeader<ID> {
  private readonly protocol: string;
  private readonly id: ID;
  private body: string;

  public constructor(protocol: string, id: ID) {
    this.protocol = protocol;
    this.id = id;
  }

  /**
   * getProtocol
   */
  public getProtocol(): string {
    return this.protocol;
  }

  /**
   * getID
   */
  public getID(): ID {
    return this.id;
  }

  /**
   * setID
   */
  public setBody(body: string): void {
    this.body = body;
  }
  /**
   * getID
   */
  public getBody(): string {
    return this.body;
  }

  /**
   * toJSON
   */
  public toJSON(): string {
    return JSON.stringify(this);
  }
}
