export class ProtocolNotification {
  private readonly protocol: string;
  private body: string;

  public constructor(protocol: string) {
    this.protocol = protocol;
  }

  /**
   * getProtocol
   */
  public getProtocol(): string {
    return this.protocol;
  }

  /**
   * setBody
   */
  public setBody(body: string): void {
    this.body = body;
  }
  /**
   * getBody
   */
  public getBody(): string {
    return this.body;
  }

  /**
   * toJSON
   */
  public toJSON(): string {
    return JSON.stringify(this);
  }
}
