import { ProtocolSub } from '../ProtocolSub';

export class RPCResponse extends ProtocolSub {
  private readonly result: any;

  public constructor(result: any) {
    super();
    this.result = result;
  }

  /**
   * getResult
   */
  public getResult(): any {
    return this.result;
  }

  /**
   * toJSON
   */
  public toJSON(): string {
    return JSON.stringify(this);
  }
}
