import Member from '../../api/model/Member';

export interface State {
  readonly isRegistered: boolean;
  readonly member?: Member;
  readonly error?: Error;
}

export const defaultState: State = {
  isRegistered: undefined,
  member: undefined,
  error: undefined,
};

export default State;
