import Probe from '@overflow/probe/api/model/Probe';
import MetaNoAuthProbeStatus from '@overflow/meta/api/model/MetaNoAuthProbeStatus';
import Domain from '@overflow/domain/api/model/Domain';

interface NoAuthProbe {
  id?: number;
  hostName?: string;
  macAddress: number;
  ipAddress: number;
  status: MetaNoAuthProbeStatus;
  tempProbeKey: string;
  createDate?: Date;
  apiKey: string;
  domain?: Domain;
  probe: Probe;
}

export default NoAuthProbe;
