import MetaProbeStatus from '@overflow/meta/api/model/MetaProbeStatus';
import Domain from '@overflow/domain/api/model/Domain';

interface Probe {
  id?: number;
  status: MetaProbeStatus;
  description: string;
  createDate?: Date;
  lastPollingDate?: Date;
  nextPollingDate?: Date;
  domain?: Domain;
  probeKey: string;
  encryptionKey: string;
}

export default Probe;
